types.hpp File Reference

Contains the declaration of low-level types used in the pbf format. More...

`#include <algorithm>`
`#include <cstddef>`
`#include <cstdint>`
`#include <cstring>`
`#include <string>`
`#include <utility>`
`#include <protozero/config.hpp>`
Include dependency graph for types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| protozero
| All parts of the protozero header-only library are in this namespace.

## Typedefs

using | protozero::pbf_tag_type = uint32_t
using | protozero::pbf_length_type = uint32_t

## Enumerations

enum | protozero::pbf_wire_type : uint32_t { varint = 0, fixed64 = 1, length_delimited = 2, fixed32 = 5, unknown = 99 }

## Functions

template<typename T >
constexpr uint32_t | protozero::tag_and_type (T tag, pbf_wire_type wire_type) noexcept

## Detailed Description

Contains the declaration of low-level types used in the pbf format.